import {Status} from "../status";
import {Cache} from "../cache";

export interface CachedEndpointStatus extends Cache, EndpointStatus {
  /**
   * The endpoint statuses.
   */
  endpoints: EndpointStatus[];
}

type EndpointStatus = {
  /**
   * The name of the service.
   */
  name: string;

  /**
   * The hostname of the service.
   */
  hostname: string;

  /**
   * The status of the service.
   */
  status: Status;
};
